** time-longtitude diagram for anomalies along the Equator    NZ 5/98
** use results of real-time SST runs 

 'reinit'
 'open realtime/qm_realtime.ctl'

* QTCM parameters
 'run qtcmpar.gs'

* define clim and anomaly
 ca(prec,jan82,dec98)
 ca(taux,jan82,dec98)

* time longitude plot on EQ
 'set time jan82 dec98'
 'set lat 0'
 'define preca0=ave(preca,lat=-1.875,lat=1.875)'
 'define preca3m=ave(preca0,t-1,t+1)'

 'define tauxa0=ave(tauxa,lat=-1.875,lat=1.875)'
 'define tauxa3m=ave(tauxa0,t-1,t+1)'

 'enable print meta'
 'set font 1'
 'set grads off'
 'set grid off'
 'set rgb 20 0 20 0'
 'set rgb 80 0 80 0'
 'set gxout shaded'
 'set clevs -2 0 2'
 'set ccols 20 0 0 80'
 'set black -0.5 0.5'
 'd preca3m/rain2flux'
 'set gxout contour'
 'set cint 2'
 'd preca3m/rain2flux'
 'draw title Precip. anomaly on Equator  QTCM'
 'print'

 'disable print'
 '!gxeps -d -i meta -o realtime/prec_EQ.eps'

* plot zonal wind stress 
 'c'
 'enable print meta'
 'set font 1'
 'set grads off'
 'set grid off'
 'set rgb 20 0 50 0'
 'set rgb 80 0 120 0'
 'set gxout shaded'
 'set clevs -0.01 0 0.01'
 'set ccols 20 0 0 80'
 'set black -0.001 0.001'
 'd tauxa3m'
 'set gxout contour'
 'set cint 0.01'
 'd tauxa3m'
 'draw title Zonal wind stress anomaly on EQ QTCM'
 'print'

 'disable print'
 '!gxeps -d -i meta -o realtime/taux_EQ.eps'

** define clim, anom.
function ca(var,t1,t2)
 'set time 't1' 't2
* climatology
 'define 'var'c=ave('var',t+0,time='t2',1yr)'
 'modify 'var'c seasonal'
*anom
 'define 'var'a='var'-'var'c'

 say 'mean, anom, are defined for  ' var

return

**********

